## org.mortbay.jetty.client
Class HttpDestination

    java.lang.Object
      org.mortbay.jetty.client.HttpDestination

    public class HttpDestination

extends Object

Author:
  Greg Wilkins, Guillaume Nodet

Method Summary
`InetSocketAddress` `getAddress()`
`Buffer` `getHostHeader()`
`HttpClient` `getHttpClient()`
`org.mortbay.jetty.client.HttpConnection` `getIdleConnection()`
`boolean` `isSecure()`
`void` `onConnectionFailed(Throwable throwable)`
`void` `onException(Throwable throwable)`
`void` `onNewConnection(org.mortbay.jetty.client.HttpConnection connection)`
`void` `returnConnection(org.mortbay.jetty.client.HttpConnection connection, boolean close)`
`void` `send(HttpExchange ex)`
`protected void` `startNewConnection()`
`String` `toDetailString()`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getAddress

    public InetSocketAddress getAddress()

### getHostHeader

    public Buffer getHostHeader()

### getHttpClient

    public HttpClient getHttpClient()

### isSecure

    public boolean isSecure()

### getIdleConnection

    public org.mortbay.jetty.client.HttpConnection getIdleConnection()
                                                              throws IOException

  Throws:
    `IOException`

### startNewConnection

    protected void startNewConnection()

### onConnectionFailed

    public void onConnectionFailed(Throwable throwable)

### onException

    public void onException(Throwable throwable)

### onNewConnection

    public void onNewConnection(org.mortbay.jetty.client.HttpConnection connection)
                         throws IOException

  Throws:
    `IOException`

### returnConnection

    public void returnConnection(org.mortbay.jetty.client.HttpConnection connection,
                                 boolean close)
                          throws IOException

  Throws:
    `IOException`

### send

    public void send(HttpExchange ex)
              throws IOException

  Throws:
    `IOException`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### toDetailString

    public String toDetailString()

Copyright © 2008 Mort Bay Consulting. All Rights Reserved.